Opened 7 years ago

Closed 4 years ago

#6908 closed defect (worksforme)

installing arm from debian repo: dependency issues? (arch: arm)

Reported by: cypherpunkx Owned by: atagar
Priority: Medium Milestone:
Component: Core Tor/Nyx Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

from /etc/apt/sources.lst

deb     http://deb.torproject.org/torproject.org squeeze main
deb     http://deb.torproject.org/torproject.org experimental-squeeze main
aptitude install tor-arm
The following NEW packages will be installed:
  python-support{a} tor-arm{b} 
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 340 kB of archives. After unpacking 1,451 kB will be used.
The following packages have unmet dependencies:
  tor-arm: Depends: python-torctl (>= 20110618git-1~bpo60+1) which is a virtual package.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     tor-arm [Not Installed]                            



Accept this solution? [Y/n/q/?]

Child Tickets

Change History (5)

comment:1 in reply to:  description Changed 7 years ago by rransom

Replying to cypherpunkx:

  tor-arm: Depends: python-torctl (>= 20110618git-1~bpo60+1) which is a virtual package.

Looks like you need to add the squeeze-backports repository to sources.list too:

deb http://backports.debian.org/debian-backports squeeze-backports main

comment:2 Changed 7 years ago by cypherpunkx

Resolution: not a bug
Status: newclosed

squeeze-backports did the trick.

comment:3 Changed 7 years ago by rransom

Resolution: not a bug
Status: closedreopened

This may be a documentation bug then.

comment:4 Changed 7 years ago by atagar

Status: reopenedneeds_information

This may be a documentation bug then.

What exactly do you propose? I'm a bit wary of trying to document "arm's in repositories for sid and wheezy but in backports for squeeze". The arm download page (http://www.atagar.com/arm/download.php) links to the debian and ubuntu package pages that have this sort of information and I'd rather not mirror it.

comment:5 Changed 4 years ago by atagar

Resolution: worksforme
Severity: Normal
Status: needs_informationclosed

Cleaning up old tickets. Nyx is undergoing a rewrite, if this is still relevant then feel free to reopen.

Note: See TracTickets for help on using tickets.